      REAL FUNCTION CBRT (X)
      IF (X) 30, 10, 20
   10 CBRT = 0.0
      RETURN
   20 R = ALOG(X)/3.0
      CBRT = EXP(R)
      RETURN
   30 R = ALOG(-X)/3.0
      CBRT = -EXP(R)
      RETURN
      END
